## mycompiler.mytypereconstruction
Class CTypeReconstructionResult

    java.lang.Object
      mycompiler.mytypereconstruction.CTypeReconstructionResult

    public class CTypeReconstructionResult

extends java.lang.Object

Diese Container-Klasse kapselt alle Ergebniswerte f�r eine m�gliche Typkombination aller Klassen und deren Methoden sowie lokalen Variablen. Eine Instanz dieser Klasse steht f�r genau eine m�gliche Typkombination.
Objekte dieser Klasse werden vom Typrekonstruktionsalgorithmus �ber die Compiler-API zur�ckgegeben.

Version:
  $Date: 2005/06/28 19:19:10 $
Author:
  J�rg B�uerle

Constructor Summary
`CTypeReconstructionResult()`

Method Summary
`void` `addClassName(java.lang.String className)`
`void` `addDataFromTupel(CReconstructionTuple tuple)`
`void` `addFieldOrLocalVarAssumption(CTypeAssumption assum)`
`void` `addGenericTypeVars(java.lang.String className, de.dhbwstuttgart.typeinference.Menge<GenericTypeVar> typeVarList)`
`void` `addMethodIntersectionType(CIntersectionType intersect)`
`de.dhbwstuttgart.typeinference.Menge<java.lang.String>` `getClassNameList()`
`java.util.Hashtable<CTypeAssumptionKey,CTypeAssumption>` `getFieldAndLocalVarAssumptions()`
`java.util.Hashtable<java.lang.String,de.dhbwstuttgart.typeinference.Menge<GenericTypeVar>>` `getGenericsTable()`
`CIntersectionType` `getMethodIntersectionType(CMethodKey key)`
`java.util.Hashtable<CMethodKey,CIntersectionType>` `getMethodIntersectionTypes()`
`CSubstitutionSet` `getSubstitutions()`
`void` `setFieldAndLocalVarAssumptions(java.util.Hashtable<CTypeAssumptionKey,CTypeAssumption> fieldAndLocalVarAssumptions)`
`void` `setSubstitutions(CSubstitutionSet substitutions)`
`CTypeReconstructionResult` `shallowCopy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CTypeReconstructionResult

    public CTypeReconstructionResult()

Method Detail

### getFieldAndLocalVarAssumptions

    public java.util.Hashtable<CTypeAssumptionKey,CTypeAssumption> getFieldAndLocalVarAssumptions()

### setFieldAndLocalVarAssumptions

    public void setFieldAndLocalVarAssumptions(java.util.Hashtable<CTypeAssumptionKey,CTypeAssumption> fieldAndLocalVarAssumptions)

### addFieldOrLocalVarAssumption

    public void addFieldOrLocalVarAssumption(CTypeAssumption assum)

### getMethodIntersectionTypes

    public java.util.Hashtable<CMethodKey,CIntersectionType> getMethodIntersectionTypes()

### addMethodIntersectionType

    public void addMethodIntersectionType(CIntersectionType intersect)

### getMethodIntersectionType

    public CIntersectionType getMethodIntersectionType(CMethodKey key)

### getSubstitutions

    public CSubstitutionSet getSubstitutions()

### setSubstitutions

    public void setSubstitutions(CSubstitutionSet substitutions)

### addDataFromTupel

    public void addDataFromTupel(CReconstructionTuple tuple)

### addClassName

    public void addClassName(java.lang.String className)

### getClassNameList

    public de.dhbwstuttgart.typeinference.Menge<java.lang.String> getClassNameList()

### addGenericTypeVars

    public void addGenericTypeVars(java.lang.String className,
                                   de.dhbwstuttgart.typeinference.Menge<GenericTypeVar> typeVarList)

### getGenericsTable

    public java.util.Hashtable<java.lang.String,de.dhbwstuttgart.typeinference.Menge<GenericTypeVar>> getGenericsTable()

### shallowCopy

    public CTypeReconstructionResult shallowCopy()